Retrieval (for video download, asynchronous audio download)
Fetch file metadata and download URL by file_id for video generation or async speech synthesis downloads.
GET
/minimax/v1/files/retrieveResponses
200 application/json
response-200 object
properties base_resp* object
Underlying service response wrapper (status code / message)
file* object
File object or file field
401 Missing or invalid API Key application/json
response-401 object
properties error* object
1curl -X GET "https://api.digislash.com/minimax/v1/files/retrieve" \
2-H "Authorization: Bearer <API Key>"
1▼{
2▼"base_resp": {
3"status_code": 0,
4"status_msg": "success"
5},
6▼"file": {
7"bytes": 0,
8"created_at": 1700469398,
9"download_url": "www.downloadurl.com",
10"file_id": "${file_id}",
11"filename": "output_aigc.mp4",
12"purpose": "video_generation"
13}
14}
